<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{5662A48F-E771-4C29-B120-54D65FBC4A14}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>EduNetworkBuilder</RootNamespace>
    <AssemblyName>EduNetworkBuilder</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <IsWebBootstrapper>true</IsWebBootstrapper>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Web</InstallFrom>
    <UpdateEnabled>true</UpdateEnabled>
    <UpdateMode>Background</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>true</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <InstallUrl>http://tyounglightsys.ddns.info/EduNetworkBuilder/v1/</InstallUrl>
    <UpdateUrl>http://tyounglightsys.ddns.info/EduNetworkBuilder/v1/</UpdateUrl>
    <ProductName>EduNetworkBuilder</ProductName>
    <PublisherName>Tim Young</PublisherName>
    <CreateWebPageOnPublish>true</CreateWebPageOnPublish>
    <WebPage>publish.htm</WebPage>
    <ApplicationRevision>44</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <UseApplicationTrust>false</UseApplicationTrust>
    <PublishWizardCompleted>true</PublishWizardCompleted>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>Resources\NBIco.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup>
    <ManifestCertificateThumbprint>B9F30C1A5500E918477D84AE79FD91D601D3860E</ManifestCertificateThumbprint>
  </PropertyGroup>
  <PropertyGroup>
    <ManifestKeyFile>EduNetworkBuilder_2_TemporaryKey.pfx</ManifestKeyFile>
  </PropertyGroup>
  <PropertyGroup>
    <GenerateManifests>true</GenerateManifests>
  </PropertyGroup>
  <PropertyGroup>
    <SignManifests>false</SignManifests>
  </PropertyGroup>
  <PropertyGroup />
  <ItemGroup>
    <Reference Include="Microsoft.VisualBasic" />
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Security" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="DeviceConfig.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="DeviceConfig.Designer.cs">
      <DependentUpon>DeviceConfig.cs</DependentUpon>
    </Compile>
    <Compile Include="FirewallEditor.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FirewallEditor.Designer.cs">
      <DependentUpon>FirewallEditor.cs</DependentUpon>
    </Compile>
    <Compile Include="IPAddress.cs" />
    <Compile Include="IPAddressEntry.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="IPAddressEntry.Designer.cs">
      <DependentUpon>IPAddressEntry.cs</DependentUpon>
    </Compile>
    <Compile Include="LanguageString.cs" />
    <Compile Include="LinkEditor.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="LinkEditor.Designer.cs">
      <DependentUpon>LinkEditor.cs</DependentUpon>
    </Compile>
    <Compile Include="ListBoxWindow.cs" />
    <Compile Include="ListBoxWindow.Designer.cs">
      <DependentUpon>ListBoxWindow.cs</DependentUpon>
    </Compile>
    <Compile Include="NB.cs" />
    <Compile Include="NBSettings.cs" />
    <Compile Include="NetTest.cs" />
    <Compile Include="NetTestEditor.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="NetTestEditor.Designer.cs">
      <DependentUpon>NetTestEditor.cs</DependentUpon>
    </Compile>
    <Compile Include="NetworkCardEditor.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="NetworkCardEditor.Designer.cs">
      <DependentUpon>NetworkCardEditor.cs</DependentUpon>
    </Compile>
    <Compile Include="NetworkInterface.cs" />
    <Compile Include="Network.cs" />
    <Compile Include="NetworkBuilder.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="NetworkBuilder.Designer.cs">
      <DependentUpon>NetworkBuilder.cs</DependentUpon>
    </Compile>
    <Compile Include="NetworkCard.cs" />
    <Compile Include="NetworkComponent.cs" />
    <Compile Include="NetworkDevice.cs" />
    <Compile Include="NetworkLink.cs" />
    <Compile Include="OptionsWindow.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="OptionsWindow.Designer.cs">
      <DependentUpon>OptionsWindow.cs</DependentUpon>
    </Compile>
    <Compile Include="Packet.cs" />
    <Compile Include="PacketMessage.cs" />
    <Compile Include="PersonClass.cs" />
    <Compile Include="PersonProfileForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="PersonProfileForm.Designer.cs">
      <DependentUpon>PersonProfileForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="RandomPuzzleChooser.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="RandomPuzzleChooser.Designer.cs">
      <DependentUpon>RandomPuzzleChooser.cs</DependentUpon>
    </Compile>
    <Compile Include="Resources\languages\edustrings.fr.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>edustrings.fr.resx</DependentUpon>
    </Compile>
    <Compile Include="RTFWindow.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="RTFWindow.Designer.cs">
      <DependentUpon>RTFWindow.cs</DependentUpon>
    </Compile>
    <Compile Include="SchoolworkClass.cs" />
    <Compile Include="TranslationWindow.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="TranslationWindow.Designer.cs">
      <DependentUpon>TranslationWindow.cs</DependentUpon>
    </Compile>
    <Compile Include="TraversalClass.cs" />
    <Compile Include="TrippleDESDocumentEncryption.cs" />
    <Compile Include="VLANConfig.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="VLANConfig.Designer.cs">
      <DependentUpon>VLANConfig.cs</DependentUpon>
    </Compile>
    <Compile Include="VLANStuff.cs" />
    <EmbeddedResource Include="DeviceConfig.resx">
      <DependentUpon>DeviceConfig.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="FirewallEditor.resx">
      <DependentUpon>FirewallEditor.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="IPAddressEntry.resx">
      <DependentUpon>IPAddressEntry.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="LinkEditor.resx">
      <DependentUpon>LinkEditor.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="ListBoxWindow.resx">
      <DependentUpon>ListBoxWindow.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="NetTestEditor.resx">
      <DependentUpon>NetTestEditor.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="NetworkBuilder.resx">
      <DependentUpon>NetworkBuilder.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="NetworkCardEditor.resx">
      <DependentUpon>NetworkCardEditor.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="OptionsWindow.resx">
      <DependentUpon>OptionsWindow.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="PersonProfileForm.resx">
      <DependentUpon>PersonProfileForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <SubType>Designer</SubType>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="RandomPuzzleChooser.resx">
      <DependentUpon>RandomPuzzleChooser.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\languages\edustrings.resx" />
    <EmbeddedResource Include="Resources\languages\edustrings.fr.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>edustrings.fr.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="RTFWindow.resx">
      <DependentUpon>RTFWindow.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="TranslationWindow.resx">
      <DependentUpon>TranslationWindow.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="VLANConfig.resx">
      <DependentUpon>VLANConfig.cs</DependentUpon>
    </EmbeddedResource>
    <None Include="EduNetworkBuilder_1_TemporaryKey.pfx" />
    <None Include="EduNetworkBuilder_2_TemporaryKey.pfx" />
    <None Include="EduNetworkBuilder_TemporaryKey.pfx" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <None Include="Resources\DHCP.enbx" />
    <None Include="Resources\firewalls.enbx" />
    <None Include="Resources\InternetHomeAndOffice.enbx" />
    <None Include="Resources\Level0-Help.enbx" />
    <None Include="Resources\Level0-HubVsSwitch.enbx" />
    <None Include="Resources\Level0-IP.enbx" />
    <None Include="Resources\Level0-NeedsLink.enbx" />
    <None Include="Resources\Level0-NoSwitch.enbx" />
    <None Include="Resources\Level0-Ping.enbx" />
    <None Include="Resources\Level0-SimpleDHCP.enbx" />
    <None Include="Resources\Level0_BrokenLink.enbx" />
    <None Include="Resources\Level0_HiddenSwitch.enbx" />
    <None Include="Resources\Level0_NetworkLoop.enbx" />
    <None Include="Resources\Level0_NetworkLoop2.enbx" />
    <None Include="Resources\Level0_PacketCorruption1.enbx" />
    <None Include="Resources\Level0_PacketCorruption2.enbx" />
    <None Include="Resources\Level0_Power.enbx" />
    <None Include="Resources\Level0_Traceroute.enbx" />
    <None Include="Resources\Level1-BadDHCP.enbx" />
    <None Include="Resources\Level1-BadIP.enbx" />
    <None Include="Resources\Level1-DuplicateIPs.enbx" />
    <None Include="Resources\Level1-MidDHCP.enbx" />
    <None Include="Resources\Level1-NoGateway.enbx" />
    <None Include="Resources\Level1_AddingDevices.enbx" />
    <None Include="Resources\Level1_BadGateway.enbx" />
    <None Include="Resources\Level1_BadNetmask.enbx" />
    <None Include="Resources\Level1_DuplicateMAC.enbx" />
    <None Include="Resources\Level1_OneNetTwoSubnets.enbx" />
    <None Include="Resources\Level1_OneNetTwoSubnets2.enbx" />
    <None Include="Resources\Level1_VPNTraceroute.enbx" />
    <None Include="Resources\Level2_Bad_Encryption.enbx" />
    <None Include="Resources\Level2_Bad_Route.enbx" />
    <None Include="Resources\Level2_Bad_VPN_IP.enbx" />
    <None Include="Resources\Level2_Blast_From_Past.enbx" />
    <None Include="Resources\Level2_Build_A_VPN.enbx" />
    <None Include="Resources\Level2_CannotConnect.enbx" />
    <None Include="Resources\Level2_Connect_The_Dots.enbx" />
    <None Include="Resources\Level2_FirewallDemo.enbx" />
    <None Include="Resources\Level2_FirewallTest2.enbx" />
    <None Include="Resources\Level2_Not_Working.enbx" />
    <None Include="Resources\Level2_VPN_Demo.enbx" />
    <None Include="Resources\Level2_VPN_woes.enbx" />
    <None Include="Resources\Level3_BlackHole.enbx" />
    <None Include="Resources\Level3_Busted.enbx" />
    <None Include="Resources\Level3_Dead.enbx" />
    <None Include="Resources\Level3_EncryptionTroubles.enbx" />
    <None Include="Resources\Level3_GrandCentralStation.enbx" />
    <None Include="Resources\Level3_invisible.enbx" />
    <None Include="Resources\Level3_Middle_Man_Out.enbx" />
    <None Include="Resources\Level3_NowhereToGo.enbx" />
    <None Include="Resources\Level3_PhoneyNetwork.enbx" />
    <None Include="Resources\Level3_TwoDHCPServers.enbx" />
    <None Include="Resources\Level3_VPNify.enbx" />
    <None Include="Resources\Level4_DualWans.enbx" />
    <None Include="Resources\Level4_Internalhemorrhage.enbx" />
    <None Include="Resources\Level4_InternelSubnetting.enbx" />
    <None Include="Resources\Level4_OneRoute.enbx" />
    <None Include="Resources\Level4_RouterReplacement.enbx" />
    <None Include="Resources\Level4_SinglesLife.enbx" />
    <None Include="Resources\Level4_SmallSubnets.enbx" />
    <None Include="Resources\Level4_WhoDidThat.enbx" />
    <None Include="Resources\Level5_APProblems.enbx" />
    <None Include="Resources\Level5_Failed.enbx" />
    <None Include="Resources\Level5_HereComesTrouble.enbx" />
    <None Include="Resources\Level5_LostPacket.enbx" />
    <None Include="Resources\Level5_WirelessAccessPoint.enbx" />
    <None Include="Resources\Level5_WirelessBridge.enbx" />
    <None Include="Resources\Level5_WirelessCorruption.enbx" />
    <None Include="Resources\Level5_WirelessDevices.enbx" />
    <None Include="Resources\Level5_WirelessRepeater.enbx" />
    <None Include="Resources\Level5_WirelessRepeater2.enbx" />
    <None Include="Resources\Level5_WirelessRouters.enbx" />
    <None Include="Resources\Level6_CleanSlate.enbx" />
    <None Include="Resources\Level6_ConnectTheLaptop.enbx" />
    <None Include="Resources\Level6_ForbiddenVLAN.enbx" />
    <None Include="Resources\Level6_Intro3_LockedOut.enbx" />
    <None Include="Resources\Level6_NeedVLANs.enbx" />
    <None Include="Resources\Level6_SorryBoss.enbx" />
    <None Include="Resources\Level6_SwitchedUp.enbx" />
    <None Include="Resources\Level6_TaggedBetweenSwitches.enbx" />
    <None Include="Resources\Level6_TwoAccessPoints.enbx" />
    <None Include="Resources\level6_UntaggedAndDHCP.enbx" />
    <None Include="Resources\Level6_VLANFrustrations.enbx" />
    <None Include="Resources\Level6_VLANRouting.enbx" />
    <None Include="Resources\Level6_VLANRouting2.enbx" />
    <None Include="Resources\Level6_VlanRouting3.enbx" />
    <None Include="Resources\Level6_VLAN_Intro.enbx" />
    <None Include="Resources\Level6_VLAN_Intro2.enbx" />
    <None Include="Resources\Level6_WhereFrom.enbx" />
    <None Include="Resources\OneNet.enbx" />
    <None Include="Resources\ThreeNets.enbx" />
    <None Include="Resources\TwoNets.enbx" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\about.rtf" />
    <None Include="Resources\Help.rtf" />
    <None Include="Resources\ReleaseNotes.rtf" />
    <None Include="Resources\Switch.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\Router.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\link.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\select.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\Laptop.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\Server.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\Hub.png" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.5">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4.5 %28x86 and x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1 Client Profile</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\firewall.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\ip_phone.png" />
  </ItemGroup>
  <ItemGroup>
    <FileAssociation Include=".enbh">
      <Visible>False</Visible>
      <Description>EduNetworkBuilder Homework files</Description>
      <Progid>EduNetworkBuilder</Progid>
      <DefaultIcon>Resources\NBIco.ico</DefaultIcon>
    </FileAssociation>
    <FileAssociation Include=".enbu">
      <Visible>False</Visible>
      <Description>EduNetworkBuilder user file</Description>
      <Progid>EdunNetworkBuilder</Progid>
      <DefaultIcon>Resources\NBIco.ico</DefaultIcon>
    </FileAssociation>
    <FileAssociation Include=".enbx">
      <Visible>False</Visible>
      <Description>EduNetworkBuilder network file</Description>
      <Progid>EduNetBuilder</Progid>
      <DefaultIcon>Resources\NBIco.ico</DefaultIcon>
    </FileAssociation>
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\noBeep.wav" />
    <None Include="Resources\tablet.png" />
    <None Include="Resources\PC.png" />
    <None Include="Resources\VLAN.enbx" />
    <None Include="Resources\WRepeater.png" />
    <None Include="Resources\WBridge.png" />
    <None Include="Resources\WRouter.png" />
    <None Include="Resources\WAP.png" />
    <None Include="Resources\Printer.png" />
    <None Include="Resources\BellDing.wav" />
    <None Include="Resources\Copier.png" />
    <None Include="Resources\microwave.png" />
    <None Include="Resources\fluorescent.png" />
    <None Include="Resources\cellphone.png" />
    <None Include="Resources\click.wav" />
    <None Include="Resources\gpl.txt" />
    <None Include="Resources\CaptionBtn.png" />
    <Content Include="Resources\NBIco.ico" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>